# JSXGraph 1.7.0 Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

Elements

Classes

- _global_
- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Boxplot
- Button
- Cardinalspline
- Chart
- Checkbox
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- CircumcircleSector
- Comb
- Conic
- Curve
- Curve3D
- CurveDifference
- CurveIntersection
- CurveUnion
- Derivative
- Ellipse
- ForeignObject
- Functiongraph
- Functiongraph3D
- Glider
- Grid
- Group
- Hatch
- Hyperbola
- Image
- ImplicitCurve
- Incenter
- Incircle
- Inequality
- Input
- Integral
- Intersection
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.Board.infobox
- JXG.C
- JXG.CA
- JXG.CanvasRenderer
- JXG.Chart
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.CoordsElement
- JXG.Curve
- JXG.Curve3D
- JXG.Dump
- JXG.EventEmitter
- JXG.Expect
- JXG.ForeignObject
- JXG.GeometryElement
- JXG.GeometryElement3D
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Legend
- JXG.Line
- JXG.Line3D
- JXG.Math
- JXG.Math.BoxQuadtree
- JXG.Math.Clip
- JXG.Math.Extrapolate
- JXG.Math.Geometry
- JXG.Math.ImplicitPlot
- JXG.Math.IntervalArithmetic
- JXG.Math.Metapost
- JXG.Math.Nlp
- JXG.Math.Numerics
- JXG.Math.Plot
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.ProbFuncs
- JXG.Math.Quadtree
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.NoRenderer
- JXG.Options
- JXG.Plane3D
- JXG.Point
- JXG.Point3D
- JXG.Polygon
- JXG.PrefixParser
- JXG.Server
- JXG.Server.modules
- JXG.Surface3D
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Transformation
- JXG.Turtle
- JXG.Util
- JXG.Util.Base64
- JXG.Util.Unzip
- JXG.Util.UTF8
- JXG.View3D
- JXG.VMLRenderer
- JXG.XML
- Label
- Legend
- Line
- Line3D
- Locus
- MajorArc
- MajorSector
- Measurement
- Metapostspline
- Midpoint
- MinorArc
- MinorSector
- mirrorelement
- Mirrorpoint
- NonReflexAngle
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelogram
- Parallelpoint
- ParametricSurface3D
- Perpendicular
- PerpendicularPoint
- PerpendicularSegment
- Point
- Point3D
- PolarLine
- PolePoint
- Polygon
- PolygonalChain
- RadicalAxis
- Reflection
- ReflexAngle
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Slopefield
- Slopetriangle
- Smartlabel
- Spline
- Stepfunction
- Tangent
- Tapemeasure
- Text
- Ticks
- Tracecurve
- Transformation
- Turtle
- Vectorfield
- Vectorfield3D
- View3D

# Namespace JXG.Math.Nlp

↳ JXG.Math.Nlp

Defined in: nlp.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.Math.Nlp The JXG.Math.Nlp namespace holds numerical algorithms for non-linear optimization.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | JXG.Math.Nlp.cobylb(calcfc, n, m, mpp, x, rhobeg, rhoend, iprint, maxfun, testForRoundingErrors) JavaScript implementation of the non-linear optimization method COBYLA.
<static> | JXG.Math.Nlp.FindMinimum(calcfc, n, m, x, rhobeg, rhoend, iprint, maxfun, testForRoundingErrors) Minimizes the objective function F with respect to a set of inequality constraints CON, and returns the optimal variable array.

Namespace Detail
JXG.Math.Nlp
The JXG.Math.Nlp namespace holds numerical algorithms for non-linear optimization.
Method Detail
<static> {Number} JXG.Math.Nlp.cobylb(calcfc, n, m, mpp, x, rhobeg, rhoend, iprint, maxfun, testForRoundingErrors)
JavaScript implementation of the non-linear optimization method COBYLA.

Parameters:
{Function} calcfc
{Number} n
{Number} m
{Number} mpp
{Number} x
{Number} rhobeg
{Number} rhoend
{Number} iprint
{Number} maxfun
{Boolean} testForRoundingErrors Optional, Default: false

Returns:
  {Number} Exit status of the COBYLA2 optimization

<static> {Number} JXG.Math.Nlp.FindMinimum(calcfc, n, m, x, rhobeg, rhoend, iprint, maxfun, testForRoundingErrors)
Minimizes the objective function F with respect to a set of inequality constraints CON, and returns the optimal variable array. F and CON may be non-linear, and should preferably be smooth. Calls JXG.Math.Nlp#cobylb.

Parameters:
calcfc
  Interface implementation for calculating objective function and constraints.
n
  Number of variables.
m
  Number of constraints.
x
  On input initial values of the variables (zero-based array). On output optimal values of the variables obtained in the COBYLA minimization.
rhobeg
  Initial size of the simplex.
rhoend
  Final value of the simplex.
iprint
  Print level, 0 <= iprint <= 3, where 0 provides no output and 3 provides full output to the console.
maxfun
  Maximum number of function evaluations before terminating.
testForRoundingErrors Optional, Default: false

Returns:
  {Number} Exit status of the COBYLA2 optimization.

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Feb 15 2024 17:48:02 GMT+0000 (Coordinated Universal Time)